Fix compatibility with old libarchive.i686
authorYaakov Selkowitz <yselkowitz@users.sourceforge.net>
Wed, 26 Mar 2014 18:06:57 +0000 (13:06 -0500)
committerYaakov Selkowitz <yselkowitz@users.sourceforge.net>
Wed, 26 Mar 2014 18:06:57 +0000 (13:06 -0500)
1.4-libarchive-compat.patch [new file with mode: 0644]
gnome-epub-thumbnailer.cygport

diff --git a/1.4-libarchive-compat.patch b/1.4-libarchive-compat.patch
new file mode 100644 (file)
index 0000000..47f2725
--- /dev/null
@@ -0,0 +1,11 @@
+--- origsrc/gnome-epub-thumbnailer-1.4/gnome-epub-thumbnailer.c        2013-09-01 19:56:05.000000000 -0500
++++ src/gnome-epub-thumbnailer-1.4/gnome-epub-thumbnailer.c    2014-03-26 13:05:39.970314500 -0500
+@@ -101,7 +101,7 @@ file_get_zipped_contents (const char   *
+               }
+               archive_read_data_skip(a);
+       }
+-      archive_read_free(a);
++      archive_read_finish(a);
+       return ret;
+ }
index 6c1384bebe903ef631beb1d38c80cddffe9975bf..25f1ce6d4add09cc5077f49d29718fe005c418a8 100644 (file)
@@ -6,3 +6,7 @@ RELEASE=1
 CATEGORY="GNOME"
 SUMMARY="EPub/MOBI thumbnailer"
 DESCRIPTION="A thumbnailer for EPub and MOBI books"
+
+if defined ARCH_i686; then
+PATCH_URI="1.4-libarchive-compat.patch"
+fi
This page took 0.021136 seconds and 5 git commands to generate.